# Interface methods for submodule: ANTSNeighborhoodCorrelationImageToImageMetricv4
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageMetricv4Proxy as _ImageToImageMetricv4Proxy


# Interface methods for class: ANTSNeighborhoodCorrelationImageToImageMetricv4
class ANTSNeighborhoodCorrelationImageToImageMetricv4Proxy(_ImageToImageMetricv4Proxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetRadius(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetRadius(self) -> Sequence[int]:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

